com.mysql.cj.conf

## Enum PropertyDefinitions.SslMode

- java.lang.Object
- - java.lang.Enum<PropertyDefinitions.SslMode>
  - - com.mysql.cj.conf.PropertyDefinitions.SslMode

All Implemented Interfaces:
  Serializable, Comparable<PropertyDefinitions.SslMode>

Enclosing class:
  PropertyDefinitions

    public static enum PropertyDefinitions.SslMode
    extends Enum<PropertyDefinitions.SslMode>

### Enum Constant Summary

Enum Constants
`DISABLED`
`PREFERRED`
`REQUIRED`
`VERIFY_CA`
`VERIFY_IDENTITY`

### Method Summary

All Methods Static Methods Concrete Methods
`static PropertyDefinitions.SslMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyDefinitions.SslMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PREFERRED

    public static final PropertyDefinitions.SslMode PREFERRED

#### REQUIRED

    public static final PropertyDefinitions.SslMode REQUIRED

#### VERIFY_CA

    public static final PropertyDefinitions.SslMode VERIFY_CA

#### VERIFY_IDENTITY

    public static final PropertyDefinitions.SslMode VERIFY_IDENTITY

#### DISABLED

    public static final PropertyDefinitions.SslMode DISABLED

### Method Detail

#### values

    public static PropertyDefinitions.SslMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyDefinitions.SslMode c : PropertyDefinitions.SslMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyDefinitions.SslMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2025, Oracle and/or its affiliates.